/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The ConnectionOperationResult data model.
 */
Ext.define( 'QDesk.model.connection.ConnectionOperationResult', {
  extend : 'Ext.data.Model',
  fields : [
    /* Operation result - see QDesk.model.common.Result */
    { name : 'result', type : 'string', allowNull : false },
    { name : 'resultDetail', type : 'string', allowNull : true },

    { name : 'connectionId', type : 'int', allowNull : false },
    { name : 'connectionName', type : 'string', allowNull : false },
    { name : 'connectionPath', type : 'string', allowNull : false }
  ]
} );
