/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Quartz misfired trigger refire status enum.
 * Based on com.quartzdesk.domain.model.scheduler.quartz.QuartzMisfiredTriggerRefireStatus.
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzMisfiredTriggerRefireStatus', {
  singleton : true,

  NOT_FIRED : 'NOT_FIRED',
  FIRED_EXECUTING : 'FIRED_EXECUTING',
  FIRED_SUCCESS : 'FIRED_SUCCESS',
  FIRED_VETO : 'FIRED_VETO',
  FIRED_ERROR : 'FIRED_ERROR'
} );
