/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz scheduler job detail data model based on the
 * {@link com.quartzdesk.domain.model.scheduler.quartz.QuartzPlannedJobExecution} class.
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzPlannedJobExecution', {
  extend : 'Ext.data.Model',

  fields : [
    /* FormattedTimestamp value */
    { name : 'fireTime', type : 'auto', allowNull : false },

    { name : 'jobDetail', type : 'auto', allowNull : false },

    { name : 'triggerName', type : 'string', allowNull : false },
    { name : 'triggerGroupName', type : 'string', allowNull : false },
    { name : 'triggerJobDataMap', type : 'auto', allowNull : false },

    /* auto type */
    { name : 'mergedJobDataMap', type : 'auto', allowNull : false }
  ]
} );
