/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Quartz trigger state enum.
 * Based on com.quartzdesk.domain.model.scheduler.quartz.QuartzTriggerState
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzTriggerState', {
  singleton : true,

  NONE : 'NONE',
  NORMAL : 'NORMAL',
  PAUSED : 'PAUSED',
  COMPLETE : 'COMPLETE',
  ERROR : 'ERROR',
  BLOCKED : 'BLOCKED'
} );
