/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The user data model based on the com.quartzdesk.domain.model.system.ws.Service class.
 */
Ext.define( 'QDesk.model.system.ws.Service', {
  extend : 'Ext.data.Model',

  requires : [],

  fields : [
    { name : 'id', type : 'number', allowNull : false },

    { name : 'name', type : 'string', allowNull : false },
    { name : 'description', type : 'string', allowNull : false },

    /*
     * An array of QDesk.model.system.ws.ServiceEndpoint instances.
     */
    { name : 'endpoint', type : 'auto', allowNull : true }
  ]
} );