/**
 * Added support for auto HTML-encoding of tooltip text in grid columns.
 */
Ext.define( 'QDesk.overrides.grid.column.Column', {
  override : 'Ext.grid.column.Column',

  constructor : function ( config )
  {
    var me = this;
    if ( config && config.tooltip )
    {
      Ext.apply( config, {
        tooltip : Ext.htmlEncode( config.tooltip )
      } );
    }

    return this.callSuper( [ config ] );
  }
} );