/**
 * Localization of Ext.ux.TreeIconCombo texts.
 */
Ext.define( 'QDesk.overrides.ux.form.TreeIconCombo', {
  override : 'Ext.ux.form.TreeIconCombo',

  requires : [
    'QDesk.Msg'
  ],

  constructor : function ( config )
  {
    var me = this;

    Ext.apply( config, {
      emptyValueText : QDesk.Msg.get( 'Ext.ux.form.TreeIconCombo.valueNotFoundText' ),
      valueNotFoundText : QDesk.Msg.get( 'Ext.ux.form.TreeIconCombo.valueNotFoundText' ),
      loadFailedText : QDesk.Msg.get( 'Ext.ux.form.TreeIconCombo.loadFailedText' ),
      loadingText : QDesk.Msg.get( 'Ext.ux.form.TreeIconCombo.loadingText' )
    } );

    me.callParent( [ config ] );
  }
} );
