/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.message.channel.im.yahoo.YahooAdvancedPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImYahooAdvancedPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 80
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.work.message.channel.im.yahoo.YahooAdvancedPanel.tabLabelAdvanced' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'loginHost',
          name : 'loginHost',
          fieldLabel : QDesk.Msg.get(
              'QDesk.view.work.message.channel.im.yahoo.YahooAdvancedPanel.fieldLabelLoginHost' ),
          fieldTooltip : QDesk.Msg.get(
              'QDesk.view.work.message.channel.im.yahoo.YahooAdvancedPanel.fieldTooltipLoginHost' ),
          emptyText : QDesk.Msg.get(
              'QDesk.view.work.message.channel.im.yahoo.YahooAdvancedPanel.fieldEmptyTxtLoginHost' ),
          value : 'login.yahoo.com',
          allowBlank : false,
          maxLength : 64,
          qdesk : {
            required : true
          }
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
