/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * A model used in the Settings tree view.
 */
Ext.define( 'QDesk.model.gui.SettingsTreeNode', {
  extend : 'Ext.data.Model',
  fields : [
    { name : 'id', type : 'string' },
    { name : 'name', type : 'string' },

    { name : 'qdLicensed', type : 'boolean' },

    { name : 'qdRequiresAnyPermissions', type : 'auto', allowNull : true },
    { name : 'qdNotAuthorizedIconCls', type : 'string', allowNull : true }
  ]
} );
