/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The SchedulerConnection data model.
 */
Ext.define( 'QDesk.model.scheduler.SchedulerConnection', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'id', type : 'int', allowNull : true },

    /* FormattedTimestamp value */
    { name : 'createdAt', type : 'auto' },
    /* FormattedTimestamp value */
    { name : 'updatedAt', type : 'auto' },

    { name : 'name', type : 'string' },

    /*
     * QDesk.model.jmx.RemoteJmxService type.
     */
    { name : 'remoteJmxService', type : 'auto' },

    { name : 'schedulerObjectName', type : 'string' },
    { name : 'schedulerType', type : 'string' },

    /* auto type */
    { name : 'configEntry', type : 'auto' }
  ]
} );
