/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.ExpressionLanguageStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.common.ExpressionLanguage',

    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.ExpressionLanguageStore',

  fields : [ 'value', 'valueLabel' ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.model.common.ExpressionLanguage.JAVASCRIPT,
          valueLabel : QDesk.util.EnumUtils.getExpressionLanguageName(
              QDesk.model.common.ExpressionLanguage.JAVASCRIPT )
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );