Ext.define( 'QDesk.view.widget.tab.XTabPanel', {
  extend : 'Ext.tab.Panel',

  alias : 'widget.XTabPanel',

  constructor : function ( config )
  {
    var me = this;
    config = config || {};
    me.callParent( [ config ] );
  },


  initComponent : function ()
  {
    var me = this;

    me.callParent();

    // /* dynamically added tabs */
    me.on( 'add',
        function ( container, component, index )
        {
          var tab = component;

          if ( tab instanceof QDesk.view.widget.panel.XPanel )
          {
            if ( tab.isAuthorized() )
            {
              tab._applyAuthorized();
            }
            else
            {
              tab._applyNotAuthorized();
            }
          }
        } );
  }
} );