/*
 * Copyright (c) 2013-2022 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedMonitorsPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.view.work.scheduler.common.jvm.ThreadInfoLockedMonitorsGrid'
  ],

  alias : 'widget.ThreadInfoLockedMonitorsPanel',

  border : false,

  // cls : 'threadInfoLockedMonitorsPanel',
  // bodyCls : 'threadInfoLockedMonitorsPanelBody',

  layout : 'fit',

  scrollable : true,


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'ThreadInfoLockedMonitorsGrid',
          itemId : 'grid',
          border : 0
        }
      ]
    } );

    me.callParent( [ config ] );
  }
} );
